Mailinglist Archive: opensuse-gnome (56 mails)

< Previous Next >
Re: [opensuse-gnome] 2.19 Plan
  • From: Danny Kukawka <dkukawka@xxxxxxx>
  • Date: Fri, 4 May 2007 20:19:58 +0200
  • Message-id: <200705042019.58907.dkukawka@xxxxxxx>
On Montag, 23. April 2007, James Ogley wrote:
> > > a) Import that hal stuff into G:S and only build on 10.1 (I don't like
> > > this idea)
> > > b) Have a new project for hal which could then benefit anything else
> > > that needs it and change the target for 10.1 to use that project
> >
> > It's possible. But will it work there without a lot of hacking?
>
> I don't know, copying Danny on this mail to ask his view.

I don't think that this would work without unknown high number of hacks (maybe 
not in HAL, but in other applications). You should keep in mind 
that 'whatdependson hal' give ~377 packages which get triggered to rebuild on 
a HAL update. You should also keep in mind that a up-to-date HAL (as in 
factory) need several packages which may need also a update as e.g. udev, 
libsmbios, pm-utils, policykit ...

At least you get maybe trouble if you use a older kernel with current HAL 
since there are maybe sysfs changes and HAL may not work correct in current 
version with older kernel. 

I would avoid a HAL update only for GNOME update, also in OSBS, since this 
would IMO update the half system. I this case you can also update to a newer 
openSUSE release.

Danny
-- 
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-gnome+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages